import type { RouteRecordRaw } from "vue-router";
import Middleware from "@/js/contexts/shared/models/Middleware";

const routes: RouteRecordRaw[] = [
  {
    name: "login",
    path: "/login",
    component: () => import("@/js/contexts/auth/ui/pages/LoginPage.vue"),
    meta: {
      middleware: [Middleware.guest],
    },
  },
  {
    name: "register",
    path: "/register",
    component: () => import("@/js/contexts/auth/ui/pages/RegisterPage.vue"),
    meta: {
      middleware: [Middleware.guest],
    },
  },
  {
    name: "forgot_password",
    path: "/forgot-password",
    component: () => import("@/js/contexts/auth/ui/pages/ForgotPasswordPage.vue"),
    meta: {
      middleware: [Middleware.guest],
    },
  },
  {
    name: "reset_password",
    path: "/reset-password/:token",
    component: () => import("@/js/contexts/auth/ui/pages/ResetPasswordPage.vue"),
    meta: {
      middleware: [Middleware.guest],
    },
  },
];

export default routes;
